############################################################################################################ SOF
MOTD="""
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMh+MMMMMMMMMMMMMMhsMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMm/ oMMMMMMMMMMMMMMm +NMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMy`  yMMMMMMMMMMMMMMM- -mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMs+dMMMMMMMMMM+    sMMMMMMMMMMMMMMM-  `dMMMMMMMMMMms/NMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMM+ .omMMMMMM:     -MMMMMMMMMMMMMMo    `yMMMMMMMy: `dMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMM-   /dMMM+       sMMMMMMMMMMMMh      `hMMMNo`   sMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMd     :dm        `mMMMMMMMMMMN.       .NNo`    .MMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMM:      -         :MMMMMMMMMMs         :`      sMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMs                 ymNMMMMMNm.                 NMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMy                    `-/-`                   .MMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMo                                            .NMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMNh+.                                               :sdMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMhso+:.                                                      `-/+syMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMM-                                                                 dMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMM`   `.:+/.                                              `/s+:.    sMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMNo   -oms.             .//-`               `:/:`            `+md+`  .hMMMMMMMMMMMMMMM
MMMMMMMMMMMMMNs`                        .odNdo.       .ohmd+`                        :dMMMMMMMMMMMMM
MMMMMMMMMMMNo`                             ..           .-                             :hMMMMMMMMMMM
MMMMMMMMMd+`                                                                             -sNMMMMMMMM
MMMMMMNs-                         `..                          `/-.                        `+dMMMMMM
MMMNy:                       ./sdNMMMh:                      `sNMMMNds/.                      .odMMM
MM+                       :ymMMMMMMMMMMh.                   +NMMMMMMMMMMmo-                      /NM
MMMh:                  .sNMMMMMMMMMMMMMMN-                `hMMMMMMMMMMMMMMMm+`                 :hMMM
MMMMMd:`       ``-:+shmMMMMMMMMMMMMMMMMMMN.               hMMMMMMMMMMMMMMMMMMMmhs+/-..``````./dMMMMM
MMMMMMMMMNNNNNNMMMMMMMMMMMMMMMMMMMMMMMMMMMo              .MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMy              .MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN.             /MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN+`         `+NMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMNs.    -hMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMdyymMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
"""
################################################################################################################
import itertools, textwrap, sys, random, time, pdb
################################################################################################################
def color(c):
    try:
        c = str(c.lower())
        if c == '0': return '\x0300'
        if c == '1': return '\x0301'
        if c == '2': return '\x0302'
        if c == '3': return '\x0303'
        if c == '4': return '\x0304'
        if c == '5': return '\x0305'
        if c == '6': return '\x0306'
        if c == '7': return '\x0307'
        if c == '8': return '\x0308'
        if c == '9': return '\x0309'
        if c == 'a': return '\x0310'
        if c == 'b': return '\x0311'
        if c == 'c': return '\x0312'
        if c == 'd': return '\x0313'
        if c == 'e': return '\x0314'
        if c == 'f': return '\x0315'
        if c == 'n': return ''
        if c == 't': return '\x0f'
        print('_color: empty')
        return '\x0f'
    except:
        print('_color: error')
        return '\x0f'
################################################################################################################
def fhascii(index,r):
    j=['\nMM""""""""`M\nMM  mmmmmmmM\nM\'      MMMM\nMM  MMMMMMMM\nMM  MMMMMMMM\nMM  MMMMMMMM\nMMMMMMMMMMMM',
    '\nM""MMMMM""M\nM  MMMMM  M\nM  MMMMM  M\nM  MMMMM  M\nM  `MMM\'  M\nMb       dM\nMMMMMMMMMMM',
    '\nMM\'""""\'YMM\nM\' .mmm. `M\nM  MMMMMooM\nM  MMMMMMMM\nM. `MMM\' .M\nMM.     .dM\nMMMMMMMMMMM',
    '\nM""MMMMM""M\nM  MMMM\' .M\nM       .MM\nM  MMMb. YM\nM  MMMMb  M\nM  MMMMM  M\nMMMMMMMMMMM',
    '\nM""MMMMM""MM\nM  MMMMM  MM\nM         `M\nM  MMMMM  MM\nM  MMMMM  MM\nM  MMMMM  MM\nMMMMMMMMMMMM',
    '\nMMP"""""YMM\nM\' .mmm. `M\nM  MMMMM  M\nM  MMMMM  M\nM. `MMM\' .M\nMMb     dMM\nMMMMMMMMMMM',
    '\nM""MMMMMMMM\nM  MMMMMMMM\nM  MMMMMMMM\nM  MMMMMMMM\nM  MMMMMMMM\nM         M\nMMMMMMMMMMM',
    '\nMM""""""""`M\nMM  mmmmmmmM\nM`      MMMM\nMM  MMMMMMMM\nMM  MMMMMMMM\nMM        .M\nMMMMMMMMMMMM',
    '\nMMMMMMMM""M\nMMMMMMMM  M\nMMMMMMMM  M\nMMMMMMMM  M\nM. `MMM\' .M\nMM.     .MM\nMMMMMMMMMMM',
    '\nMMP"""""YMM\nM\' .mmm. `M\nM  MMMMM  M\nM  MMMMM  M\nM. `MMM\' .M\nMMb     dMM\nMMMMMMMMMMM',
    '\nM"""""""`YM\nM  mmmm.  M\nM  MMMMM  M\nM  MMMMM  M\nM  MMMMM  M\nM  MMMMM  M\nMMMMMMMMMMM',
    '\nMM""""""""`M\nMM  mmmmmmmM\nM`      MMMM\nMM  MMMMMMMM\nMM  MMMMMMMM\nMM        .M\nMMMMMMMMMMMM',
    '\nMP""""""`MM\nM  mmmmm..M\nM.      `YM\nMMMMMMM.  M\nM. .MMM\'  M\nMb.     .dM\nMMMMMMMMMMM']
    render=''
    try:
        x=0
        for y in range(len(j[x].splitlines())):
            for x in index:
                for z in j[int(x,16)].splitlines()[y]:
                    render=f'{render}{z}'
            render=f'{render}\n'
    except Exception as e:
        print(f'error is: {e}')
    return render
################################################################################################################
def fhshift(l):
    for i,b in enumerate(l):
        l[i]=b[1:]+b[:1];
    return l
################################################################################################################
def arcgen(s):
    return "".join(["\x03{}{}".format(x, y) for x, y in zip(itertools.cycle([61, 85, 83, 59, 58, 69, 81, 80]), \
           itertools.chain.from_iterable([(lambda t, tt: t + list(" " + tt + " ") + t) \
           (random.sample([chr(y) for y in range(0x2580, 0x2585)] * 128, 8), \
           "".join(a).strip()) for a in textwrap.wrap(s, len(s)) ])) ])
################################################################################################################
def casegen(s):
    _s=""
    for _ in s:
        if random.getrandbits(666)%2:
                _s+=_.upper()
        else:
                _s+=_.lower()
    return _s
################################################################################################################
def jhf():
    msg="""
    one lick
    two sticks
    three hits
    four clips
    i ain't got time
    to be dealing with
    no ho shit
    hunnit round drum
    and it speaking
    no sense
    hunnit round drum
    wetting up
    your whole shit
    """.splitlines()
    l=[]
    for _ in msg: l.append(len(_))
    l.sort()
    l=l[-1]
    msg=[ x.strip() for x in msg ]
    gsm=[]
    JHF=[]
    for _ in msg:
        _msg=''
        for __ in _:_msg+=casegen(__)
        if _msg: gsm.append(_msg)
    for _ in gsm:
        padding=(l-len(_))//2
        msg=f"{padding*'.'}{_}{(l-len(_)-padding)*'.'}"
        JHF.append(arcgen(msg))
    return JHF
################################################################################################################
def pump(s):
    _f=open('/home/dr1p/.weechat/weechat_fifo','w')
    _f.write(f'*{s}\n')
    _f.close()
################################################################################################################
def fhj(r):
    s='QOOMPALOOMPAS';
    i='0123456789ABC';
    msg1=jhf(); msg2=jhf(); msg3=jhf(); r2i=0
    sleepy1=.25; sleepy2=0.25
    for _r in range(r):
        for index,character in enumerate(s):
            #print(f'{s} - {i}\n')
            s,i=fhshift([s,i])
            render=fhascii(i,r)
            # COLOR=color(hex(random.randint(0,15))[2:])
            # render1=render.replace('\n',f'\n{COLOR}')
            render1=render
            render2=msg1[r2i]; render3=msg2[r2i];
            render4=msg3[r2i]; r2i+=1
            if r2i>len(msg1): r2i=0
            padding=render2
            msg=random.sample([chr(y) for y in range(0x2580, 0x2585)] * 128, 147)
            msg="".join(["\x03{}{}".format(x, y) for x, y in zip(itertools.cycle([61, 85, 83, 59, 58, 69, 81, 80]),"".join(msg))])
            pump(msg)
            for _ in [61, 85, 83, 59, 58, 69, 81, 80]:
                padding=padding.replace(str(_),'')
            padding=(147-len(padding))//4*"."
            for __ in render1.splitlines():
                msg="".join(["\x03{}{}".format(x, y) for x, y in zip(itertools.cycle([61, 85, 83, 59, 58, 69, 81, 80]),"".join(__))])
                pump(msg)
                time.sleep(sleepy1)
            msg=random.sample([chr(y) for y in range(0x2580, 0x2585)] * 128, 147)
            msg="".join(["\x03{}{}".format(x, y) for x, y in zip(itertools.cycle([61, 85, 83, 59, 58, 69, 81, 80]),"".join(msg))])
            pump(msg)
            msg=f'{render2} {padding[:-3]}{render3}{padding[:-3]}{render4}'
            for x in range(4): pump(msg)
            # sleepy2+=0.1; sleepy1+=0.03; time.sleep(sleepy2)
################################################################################################################
if __name__ == "__main__":
    try:
        fhj(int(sys.argv[1]))
        sys.exit(0)
    except:
        fhj(1)
        sys.exit(1)
############################################################################################################ EOF
